--- title: "System Avatar" slug: "server-api-global-setting-system-avatar" updated: 2022-06-16T08:30:11Z published: 2022-06-16T08:30:11Z canonical: "developer.comm100.com/server-api-global-setting-system-avatar" --- > ## Documentation Index > Fetch the complete documentation index at: https://developer.comm100.com/llms.txt > Use this file to discover all available pages before exploring further. # System Avatar ## System Avatar - `System Avatars` - System Avatars Manage - `GET global/systemAvatars` - [Get the list of System Avatars](/docs/server-api-global-setting-system-avatar#get-the-list-of-system-avatars) - `GET global/systemAvatars/{id}` - [Get a single System Avatar](/docs/server-api-global-setting-system-avatar#get-a-single-system-avatar) ### System Avatar JSON Format System Avatar is represented as simple flat JSON objects with the following keys: | Name | Type | Description | | --- | --- | --- | | `id` | guid | Id of the system avatar. | | `description` | string | Description of the system avatar. | | `avatarImage` | string | Url of the system avatar. | ### Get the list of System Avatars `GET global/systemAvatars` - #### Parameters: No Parameters - #### Response: An array of [System Avatar](/docs/server-api-global-setting-system-avatar#system-avatar-json-format) - #### Example Sample Request: ``` curl https://api11.comm100.io/v4/global/systemAvatars \ -X 'GET' \ -H 'Authorization: Bearer {access_token}' \ ``` Response: HTTP/1.1 200 OK ``` [ { "id": "1b14ede0-9682-4551-8042-e48e750d38bd", "avatarImage": "https://api11.comm100.io/v4/Global/systemAvatars/1b14ede0-9682-4551-8042-e48e750d38bd/avatarImage", "description": "girl04.svg" } ] ``` ### Get a single System Avatar `GET global/systemAvatars/{id}` - #### Parameters: No Parameters - #### Response: [System Avatar](/docs/server-api-global-setting-system-avatar#system-avatar-json-format) - #### Example Sample Request: ``` curl https://api11.comm100.io/v4/global/systemAvatars/1b14ede0-9682-4551-8042-e48e750d38bd \ -X 'GET' \ -H 'Authorization: Bearer {access_token}' \ ``` Response: HTTP/1.1 200 OK ``` { "id": "1b14ede0-9682-4551-8042-e48e750d38bd", "avatarImage": "https://api11.comm100.io/v4/Global/systemAvatars/1b14ede0-9682-4551-8042-e48e750d38bd/avatarImage", "description": "girl04.svg" } ```